ndcctools.resource_monitor.ResourceExhaustion Class Reference

Exception raised when a function goes over the resources limits. More...

Inheritance diagram for ndcctools.resource_monitor.ResourceExhaustion:

## Public Member Functions

| __init__ (self, resources, function, fn_args=None, fn_kwargs=None)

## Detailed Description

Exception raised when a function goes over the resources limits.

## Constructor & Destructor Documentation

## __init__()

ndcctools.resource_monitor.ResourceExhaustion.__init__ | ( |  | self,
|  |  | resources,
|  |  | function,
|  |  | fn_args = None,
|  |  | fn_kwargs = None )

Parameters

  self | Reference to the current object.
  resources | Dictionary of the resources measured at the time of the exhaustion.
  function | Function that caused the exhaustion.
  fn_args | List of positional arguments to function that caused the exhaustion.
  fn_kwargs | Dictionary of keyword arguments to function that caused the exhaustion.

The documentation for this class was generated from the following file:

- resource_monitor.py